TriggeringPolicy Class Referenceabstract

A `TriggeringPolicy` controls the conditions under which rollover occurs. More...

Inheritance diagram for TriggeringPolicy:

## Public Member Functions

virtual | ~TriggeringPolicy ()
void | addRef () const
void | releaseRef () const
virtual bool | isTriggeringEvent (Appender *appender, const log4cxx::spi::LoggingEventPtr &event, const LogString &filename, size_t fileLength)=0
| Determines if a rollover may be appropriate at this time. More...
Public Member Functions inherited from OptionHandler
virtual | ~OptionHandler ()
virtual void | activateOptions (log4cxx::helpers::Pool &p)=0
| Activate the options that were previously set with calls to option setters. More...
virtual void | setOption (const LogString &option, const LogString &value)=0
| Set `option` to `value`. More...
Public Member Functions inherited from Object
virtual const helpers::Class & | getClass () const
virtual | ~Object ()
virtual bool | instanceof (const Class &clazz) const =0
virtual const void * | cast (const Class &clazz) const =0
Public Member Functions inherited from ObjectImpl
| ObjectImpl ()
virtual | ~ObjectImpl ()

## Additional Inherited Members

Static Public Member Functions inherited from Object
static const helpers::Class & | getStaticClass ()
static const log4cxx::helpers::ClassRegistration & | registerClass ()
Protected Attributes inherited from ObjectImpl
unsigned int volatile | ref

## Detailed Description

A `TriggeringPolicy` controls the conditions under which rollover occurs.

Such conditions include time of day, file size, an external event or a combination thereof.

## Constructor & Destructor Documentation

virtual ~TriggeringPolicy | ( |  | ) |

virtual

## Member Function Documentation

void addRef | ( |  | ) | const

virtual

Reimplemented from ObjectImpl.

virtual bool isTriggeringEvent | ( | Appender * | appender,
|  | const log4cxx::spi::LoggingEventPtr & | event,
|  | const LogString & | filename,
|  | size_t | fileLength
| ) |  |

pure virtual

Determines if a rollover may be appropriate at this time.

If true is returned, RolloverPolicy.rollover will be called but it can determine that a rollover is not warranted.

Parameters

  appender | A reference to the appender.
  event | A reference to the currently event.
  filename | The filename for the currently active log file.
  fileLength | Length of the file in bytes.

Returns
  true if a rollover should occur.

Implemented in TimeBasedRollingPolicy, FilterBasedTriggeringPolicy, SizeBasedTriggeringPolicy, and ManualTriggeringPolicy.

void releaseRef | ( |  | ) | const

virtual

Reimplemented from ObjectImpl.

The documentation for this class was generated from the following file:

- triggeringpolicy.h